Index: Makefile
===================================================================
--- Makefile	(revision 1fa20991f44328620c35061d502f0a58e052d3cf)
+++ Makefile	(revision 8eb3fe49ba32604fd702d0e3c664d36f98b9733e)
@@ -35,4 +35,13 @@
 endif
 
+ifndef ARCH
+  ARCH = default
+endif
+ifneq ($(ARCH), default)
+  ifneq ($(ARCH), multilib)
+    $(error ARCH must be either 'default' (default if unset) or 'multilib'.)
+  endif
+endif
+
 book: validate profile-html
 	@echo "Generating chunked XHTML files at $(BASEDIR)/ ..."
@@ -131,4 +140,5 @@
                 --output $(RENDERTMP)/lfs-html2.xml   \
                 --stringparam profile.revision $(REV) \
+                --stringparam profile.arch $(ARCH)    \
                 stylesheets/lfs-xsl/profile.xsl       \
                 index.xml
@@ -161,4 +171,5 @@
 #	$(Q)xsltproc --nonet --xinclude                    \
 #                --stringparam profile.revision $(REV) \
+#                --stringparam profile.arch $(ARCH)    \
 #                --output $(RENDERTMP)/sysd-wget.xml   \
 #                stylesheets/lfs-xsl/profile.xsl       \
@@ -178,4 +189,5 @@
 	$(Q)xsltproc --nonet --xinclude                    \
                 --stringparam profile.revision $(REV) \
+                --stringparam profile.arch $(ARCH) \
                 --output $(RENDERTMP)/sysv-md5sum.xml \
                 stylesheets/lfs-xsl/profile.xsl       \
@@ -195,4 +207,5 @@
 #      --output $(RENDERTMP)/lfs-html.xml    \
 #      --stringparam profile.revision $(REV) \
+#      --stringparam profile.arch $(ARCH)    \
 #      stylesheets/lfs-xsl/profile.xsl       \
 #      $(RENDERTMP)/lfs-full.xml
Index: packages.ent
===================================================================
--- packages.ent	(revision 1fa20991f44328620c35061d502f0a58e052d3cf)
+++ packages.ent	(revision 8eb3fe49ba32604fd702d0e3c664d36f98b9733e)
@@ -358,4 +358,12 @@
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
+<!ENTITY isl-version "0.20">
+<!ENTITY isl-size "1.5 MB">
+<!ENTITY isl-url "http://isl.gforge.inria.fr/isl-&isl-version;.tar.xz">
+<!ENTITY isl-md5 "2ee25141b7d1688afb63e5bf3ac12999">
+<!ENTITY isl-home "http://isl.gforge.inria.fr/">
+<!ENTITY isl-ch6-du "20 MB">
+<!ENTITY isl-ch6-sbu "0.1 SBU">
+
 <!ENTITY kbd-version "2.0.4">
 <!ENTITY kbd-size "1,008 KB">
@@ -441,4 +449,12 @@
 <!ENTITY linux-headers-ch6-du "941 MB">
 <!ENTITY linux-headers-ch6-sbu "less than 0.1 SBU">
+
+<!ENTITY linux-firmware-version "20180929">
+<!ENTITY linux-firmware-size "82,268 KB">
+<!ENTITY linux-firmware-url "http://www.linuxfromscratch.org/~dj/linux-firmware-&linux-firmware-version;.tar.xz">
+<!ENTITY linux-firmware-md5 "f803f618f0bd186b99da3a913e6c2dd2">
+<!ENTITY linux-firmware-home "http://www.kernel.org/">
+<!ENTITY linux-firmware-ch6-du "287 MB">
+<!ENTITY linux-firmware-ch6-sbu "0.2 SBU">
 
 <!ENTITY m4-version "1.4.18">
